%global srcname kerberos
%global sum A high-level wrapper for Kerberos (GSSAPI) operations

Name:           python-%{srcname}
Version:        1.2.5
Release:        %mkrel 2
Summary:        %{sum}

Group:          Development/Python
License:        ASL 2.0
# SVN browser is at https://trac.calendarserver.org/browser/PyKerberos
URL:            https://pypi.python.org/pypi/kerberos
Source0:        https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        LICENSE

BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools python3-setuptools
BuildRequires:  krb5-devel

# Accept principal=None in authGSSClientInit. Upstream ticket
# https://www.calendarserver.org/ticket/942
Patch1:         python-kerberos-942.patch

%global desc This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.\
The goal is to avoid having to build a module that wraps the entire\
Kerberos framework, and instead offer a limited set of functions that do what\
is needed for client/server Kerberos authentication based on\
<http://www.ietf.org/rfc/rfc4559.txt>.

%description
%{desc}

%package -n python2-%{srcname}
Summary:        %{sum}
Group:          Development/Python
Provides:       python-%{srcname} = %{version}-%{release}

%description -n python2-%{srcname}
%{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
Group:          Development/Python

%description -n python3-%{srcname}
%{desc}

%prep
%setup -q -n %{srcname}-%{version}
%patch1 -p1

%build
%py2_build
%py3_build

%install
install -m 644 $RPM_SOURCE_DIR/LICENSE LICENSE 
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/*




%changelog
* Wed Nov 30 2016 ngompa <ngompa> 1.2.5-2.mga6
+ Revision: 1071086
- imported package python-kerberos

